from typing import Any

from ujson import dumps, loads


def json_read(path: str) -> Any:
    with open(path, mode="r", encoding="utf-8") as f:
        data = f.read()
    return loads(data)


def json_write(data: Any, path: str) -> None:
    with open(path, mode="w", encoding="utf-8") as f:
        f.write(dumps(data, ensure_ascii=False, escape_forward_slashes=False, indent=4))


def config_get(key: str, *path: str) -> Any:
    this_key = json_read("config.json")
    for dict_key in path:
        this_key = this_key[dict_key]
    return this_key[key]


def config_set(key: str, value: Any, *path: str) -> None:
    this_dict = json_read("config.json")
    string = "this_dict"
    for arg in path:
        string += f'["{arg}"]'
    if type(value) in [str]:
        string += f'["{key}"] = "{value}"'
    else:
        string += f'["{key}"] = {value}'
    exec(string)
    json_write(this_dict, "config.json")
    return
